Driving me CRAZY! Need Eos Utility 2.11 for mk3...

Started Jun 20, 2012 | Discussions thread
Shamus1
Senior MemberPosts: 1,640Gear list
Like?
Re: I contacted canon
In reply to kevindar, Jun 26, 2012

You're probably right. I noticed even some of the FW downloads require a s/n....

 Shamus1's gear list:Shamus1's gear list
Canon EOS-1D Mark III Canon EOS 5D Mark II Canon EOS 7D Canon EOS-1D Mark IV Canon EOS 5D Mark III +3 more
Reply   Reply with quote   Complain
Post (hide subjects)Posted by
Keyboard shortcuts:
FForum PPrevious NNext WNext unread UUpvote SSubscribe RReply QQuote BBookmark post MMy threads
Color scheme? Blue / Yellow